> For the complete documentation index, see [llms.txt](https://docs.adsecure.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adsecure.com/api/detections/adware.md).

# Adware

Whether a content has been reported as adware.

```
version  : 1.0.0
stability: stable
```

## Definition

***

### Meta

```
name     : "adware"
category : "USER_SECURITY"
reference: "0"
condition: ">"
```

### Record

The [`Adware`](/api/detections/adware.md)'s record implements the [`Record`](/api/models/record.md)'s interface:

```typescript
interface Record {
  url: string;
  type: string;
  data: string;
  trigger: string;
  requestId: string;
  frameId: string;
  targetVersion: string;
  timestamp: MonotonicTime;
}
```

## Fields

***

### `url`

```
version  : 1.0.0
stability: stable
```

```typescript
url: string;
```

The URL of the page gathered when the event occurs.

***

### `type`

```
version  : 1.0.0
stability: experimental
```

```typescript
type: string;
```

When defined, the `type` reports the adware's type.

***

### `data`

```
version  : 1.0.0
stability: experimental
```

```typescript
data: string;
```

The data passed along with the detection.

***

### `trigger`

```
version  : 1.0.0
stability: experimental
```

When defined, the `trigger` reports the action that creates the [`Adware`](/api/detections/adware.md).

***

### `requestId`

```
version  : 1.0.0
stability: stable
```

```typescript
requestId: string;
```

The unique network [`Request`](/api/models/request.md)'s identifier in which the event was recorded.

> **⚠️ Caution:** In some cases such as in a redirection context, this identifier could be shared by more than one entry:
>
> ```json
> [
>   {
>     "requestId": "10.1",
>     "status": "302"
>   },
>   {
>     "requestId": "10.1",
>     "status": "200"
>   }
> ]
> ```

***

### `frameId`

```
version  : 1.0.0
stability: stable
```

```typescript
frameId: string;
```

The [`Frame`](/api/models/frame.md) identifier in which the event was recorded.

***

### `targetVersion`

```
version  : 1.0.0
stability: stable
```

```typescript
targetVersion: string;
```

The [`Target`](/api/models/target.md) version during which the event was recorded.

***

### `timestamp`

```
version  : 1.0.0
stability: stable
```

```typescript
timestamp: MonotonicTime;
```

An [`MonotonicTime`](/api/terms.md#monotonictime) that reflects the time when the event was recorded.

***

## Sample

```json
{
  "name": "adware",
  "category": "USER_SECURITY",
  "value": "1",
  "reference": "0",
  "condition": ">",
  "violation": true,
  "notify": true,
  "alert": true,
  "records": [
    {
      "url": "https://example.com/file.apk",
      "type": "",
      "data": "{\"url\":\"https://s3.amazonaws.com/adsecure/resource/year=2018/month=08/day=01/cf83e1357eefb8bdf1542850d66d8007d620e4050b5715dc83f4a921d36ce9ce47d0d13c5d85f2b0ff8318d2877eec2f63b931bd47417a81a538327af927da3e\"}",
      "trigger": "",
      "requestId": "6A84237A55993581955FEBCCBED0D402",
      "frameId": "C9FB7BD57BBC8502412B9558A97A580D",
      "targetVersion": "8",
      "timestamp": "2375.395531"
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.adsecure.com/api/detections/adware.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
